<!DOCTYPE html>
<html>
  <head>

    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="mobile-web-app-capable" content="yes">
    <link rel="stylesheet" type="text/css" href="css/style.css">
    <link rel="stylesheet" type="text/css" href="css/table.css">
    <script type="text/javascript" src="scripts/SpinBox.js"></script>
    <script type="text/javascript" src="scripts/eventemmiter2.min.js"></script>
    <script type="text/javascript" src="scripts/roslib.js"></script>
    <script src="http://code.jquery.com/jquery-1.5.min.js"></script>
    <script type="text/javascript" src="scripts/script.js"> </script>
    <script type="text/javascript" src="http://latex.codecogs.com/latexit.js"></script>
  </head>
  <body>

    <form action="php/script.php" method="post" enctype="multipart/form-data">
      Address: <input type="text" name="Address" value=""><br>
      <input type="submit" value="Upload" name="submit">
      </form>
    
    <h2>Panda GUI</h2>
    <output id="connection_state" color="red"> Not connected </output>
      <div class="jointState">
          <div class="Commands">
              <button type="button" class="collapsible">Commands</button>
              <div class="content"> 
                <div class="Command">
                  <h1>Trajectory </h1> 
                    <input id="play_traj_button_" onclick="playTraj()" class="button" value="Play"type="button">
                    <input id="build_traj_button_" onclick="buildTraj()" class="button" value="Build" type="button">
                    <input id="publish_traj_button_" onclick="publishTraj()" class="button" value="Publish" type="button">
                  
                    <h1>Gravity comp </h1> 
                    
                    <input id="compensate_gravity_" onclick="compensateGravity()" class="button" value="Compensate Gravity"type="button">

               </div>
            </div>
          </div>
        <button type="button" class="collapsible">Joint states</button> 
        <div class="content">
          <div class="jointPosition">
              <button type="button" class="collapsible" ><dd>Joint position</dd></button> 
              <div class="content">
                <br>
                <div class="sliders">     
                  <input min="-2.89" max="2.89" value="0" step="0.01" class="slider" id="q0_slider" oninput="q0_slider.value = q0_value.value" type="range">
                  <output class="slider_name" lang="latex" > \boldsymbol{q_0} </output>
                  <output class="slider_min_val" id="q0_min_value"> -2.89</output>
                  <output class="slider_max_val" id="q0_max_value"> 2.89</output>
                  <output class="slider_val" id="q0_value"> val</output>
                </div>
              <div class="sliders">
                <input min="-1.76" max="1.76" value="0" step="0.01" class="slider" id="q1_slider" oninput="q1_slider.value = q1_value.value" type="range"> 
                <output class="slider_name" lang="latex" > \boldsymbol{q_1} </output>
                <output class="slider_min_val" id="q1_min_value"> -1.76</output>
                <output class="slider_max_val" id="q1_max_value">1.76 </output>
                <output class="slider_val" id="q1_value"></output>
              </div>
              <div class="sliders">
                <input min="-2.89" max="2.89" value="0" step="0.01" class="slider" id="q2_slider" oninput="q2_slider.value = q2_value.value" type="range"> 
                <output class="slider_name" lang="latex" > \boldsymbol{q_2} </output>
                <output class="slider_min_val" id="q2_min_value"> -1.76</output>
                <output class="slider_max_val" id="q2_max_value">1.76 </output>
                <output class="slider_val" id="q2_value"></output>
              </div>
              <div class="sliders">
                <input min="-3.07" max="-0.07" value="0" step="0.01" class="slider" id="q3_slider" oninput="q3_slider.value = q3_value.value" type="range"> 
                <output class="slider_name" lang="latex" > \boldsymbol{q_3} </output>
                <output class="slider_val" id="q3_value"></output>
                <output class="slider_min_val" id="q3_min_value"> -3.07</output>
                <output class="slider_max_val" id="q3_max_value">-0.07 </output>
              </div>
              <div class="sliders">
                <input min="-2.89" max="2.89" value="0" step="0.01" class="slider" id="q4_slider"        oninput="q4_slider.value = q4_value.value" type="range"> 
                <output class="slider_name" lang="latex" > \boldsymbol{q_4} </output>
                <output class="slider_val" id="q4_value"></output>
                <output class="slider_min_val" id="q4_min_value"> -2.89</output>
                <output class="slider_max_val" id="q4_max_value"> 2.89 </output>
              </div>
              <div class="sliders">
                <input min="-0.01" max="3.75" value="0" step="0.01" class="slider" id="q5_slider"        oninput="q5_slider.value = q5_value.value" type="range"> 
                <output class="slider_name" lang="latex" > \boldsymbol{q_5} </output>
                <output class="slider_val" id="q5_value"></output>
                <output class="slider_min_val" id="q5_min_value">-0.01</output>
                <output class="slider_max_val" id="q5_max_value"> 3.75 </output>
              </div>
              <div class="sliders">
                <input min="-2.89" max="2.89" value="0" step="0.01" class="slider" id="q6_slider"        oninput="q6_slider.value = q6_value.value" type="range"> 
                <output class="slider_name" lang="latex" > \boldsymbol{q_6} </output>
                <output class="slider_val" id="q6_value"></output>
                <output class="slider_min_val" id="q6_min_value">-2.89</output>
                <output class="slider_max_val" id="q6_max_value"> 2.89 </output>
              </div>
              <br>
            </div>
          </div>
            
          <div class="jointVelocity">
              <button type="button" class="collapsible"><dd>Joint velocity </dd></button> 
              <div class="content">
                  <br>
                <div class="sliders">     
                  <input min="-2.89" max="2.89" value="0" step="0.01" class="slider" id="qd0_slider" oninput="qd0_slider.value = q0_value.value" type="range">
                  <output class="slider_name" lang="latex" > \boldsymbol{\dot{q}_0} </output>
                  <output class="slider_min_val" id="qd0_min_value"> -2.89</output>
                  <output class="slider_max_val" id="qd0_max_value"> 2.89</output>
                  <output class="slider_val" id="qd0_value"> val</output>
                </div>
                <div class="sliders">
                  <input min="-1.76" max="1.76" value="0" step="0.01" class="slider" id="qd1_slider" oninput="qd1_slider.value = q1_value.value" type="range"> 
                  <output class="slider_name" lang="latex" > \boldsymbol{\dot{q}_1} </output>
                  <output class="slider_min_val" id="qd1_min_value">-1.76</output>
                  <output class="slider_max_val" id="qd1_max_value">1.76 </output>
                  <output class="slider_val" id="qd1_value"></output>
                </div>
                <div class="sliders">
                  <input min="-2.89" max="2.89" value="0" step="0.01" class="slider" id="qd2_slider" oninput="qd2_slider.value = q2_value.value" type="range"> 
                  <output class="slider_name" lang="latex" > \boldsymbol{\dot{q}_2} </output> 
                  <output class="slider_min_val" id="qd2_min_value"> -1.76</output>
                  <output class="slider_max_val" id="qd2_max_value">1.76 </output>
                  <output class="slider_val" id="qd2_value"></output>
                </div>
                <div class="sliders">
                  <input min="-3.07" max="-0.07" value="0" step="0.01" class="slider" id="qd3_slider" oninput="qd3_slider.value = q3_value.value" type="range"> 
                  <output class="slider_val" id="qd3_value"></output>
                  <output class="slider_name" lang="latex" > \boldsymbol{\dot{q}_3} </output>
                  <output class="slider_min_val" id="qd3_min_value"> -3.07</output>
                  <output class="slider_max_val" id="qd3_max_value">-0.07 </output>
                </div>
                <div class="sliders">
                  <input min="-2.89" max="2.89" value="0" step="0.01" class="slider" id="qd4_slider"        oninput="qd4_slider.value = q4_value.value" type="range"> 
                  <output class="slider_val" id="qd4_value"></output>
                  <output class="slider_name" lang="latex" > \boldsymbol{\dot{q}_4} </output> 
                  <output class="slider_min_val" id="qd4_min_value"> -2.89</output>
                  <output class="slider_max_val" id="qd4_max_value"> 2.89 </output>
                </div>
                <div class="sliders">
                  <input min="-0.01" max="3.75" value="0" step="0.01" class="slider" id="qd5_slider"        oninput="qd5_slider.value = q5_value.value" type="range"> 
                  <output class="slider_val" id="qd5_value"></output>
                  <output class="slider_name" lang="latex" > \boldsymbol{\dot{q}_5} </output>
                  <output class="slider_min_val" id="qd5_min_value">-0.01</output>
                  <output class="slider_max_val" id="qd5_max_value"> 3.75 </output>
                </div>
                <div class="sliders">
                  <input min="-2.89" max="2.89" value="0" step="0.01" class="slider" id="qd6_slider"        oninput="qd6_slider.value = q6_value.value" type="range"> 
                  <output class="slider_val" id="qd6_value"></output>
                  <output class="slider_name" lang="latex" > \boldsymbol{\dot{q}_6} </output><output class="slider_min_val" id="qd6_min_value"> -2.89</output>
                  <output class="slider_max_val" id="qd6_max_value"> 2.89 </output>
                </div>
                <br>
              </div>
          </div>

        </div>
      </div> 
      <div class="Commands">
          <button type="button" class="collapsible">Robot State</button>
          <div class="content"> 
            <br>
            <table class="table-fill">
              <thead>
              <tr>
                <th class="text-left"> </th>
                <th class="text-left">Position</th>
                <th class="text-left">Orientation</th>
              </tr>
              </thead>
              <tbody class="table-hover">
                <tr>
                  <td class="text-left"  > X </td>
                  <td class="text-left" id="pos_x" ></td>
                  <td class="text-left"  id="ang_x" ></td>
                </tr>
                <tr>
                  <td class="text-left"  > Y </td>
                  <td class="text-left" id="pos_y"></td>
                  <td class="text-left" id="ang_y" ></td>
                </tr>
                  <tr>
                  <td class="text-left"  > Z </td>
                  <td class="text-left" id="pos_z"></td>
                  <td class="text-left" id="ang_z" ></td>
                </tr>
              </tbody>
            </table>
          <div class="Command">
            <output> Rootlink : </output><output id="root_link"> val</output><br>
            <output> Tip link : </output><output id="tip_link"> val</output><br>
          </div>
          <br>
        </div>
      </div>
      <div class="jointState">
          <button type="button" class="collapsible">QP state</button>
          <div class="content"> 
              <br>
              <div class="jointPosition">
                <div class="sliders">     
                  <input min="-2.89" max="2.89" value="0" step="0.01" class="slider" id="qp0_slider" oninput="qp0_slider.value = qp0_value.value" type="range">
                  <output class="slider_name" lang="latex" >\boldsymbol{\dot{q}_0} </output>
                  <output class="slider_min_val" id="qp0_min_value"> </output>
                  <output class="slider_max_val" id="qp0_max_value"> </output>
                  <output class="slider_val" id="qp0_value"> </output>
                </div>
              <div class="sliders">
                <input min="-1.76" max="1.76" value="0" step="0.01" class="slider" id="qp1_slider" oninput="qp1_slider.value = qp1_value.value" type="range"> 
                <output class="slider_name" lang="latex" >\boldsymbol{\dot{q}_1} </output>
                <output class="slider_min_val" id="qp1_min_value"> </output>
                <output class="slider_max_val" id="qp1_max_value"> </output>
                <output class="slider_val" id="qp1_value"></output>
              </div>
              <div class="sliders">
                <input min="-2.89" max="2.89" value="0" step="0.01" class="slider" id="qp2_slider" oninput="qp2_slider.value = qp2_value.value" type="range"> 
                <output class="slider_name" lang="latex" >\boldsymbol{\dot{q}_2} </output>
                <output class="slider_min_val" id="qp2_min_value"> </output>
                <output class="slider_max_val" id="qp2_max_value"> </output>
                <output class="slider_val" id="qp2_value"></output>
              </div>
              <div class="sliders">
                <input min="-3.07" max="-0.07" value="0" step="0.01" class="slider" id="qp3_slider" oninput="qp3_slider.value = qp3_value.value" type="range"> 
                <output class="slider_name" lang="latex" >\boldsymbol{\dot{q}_3} </output>
                <output class="slider_val" id="qp3_value"></output>
                <output class="slider_min_val" id="qp3_min_value"> </output>
                <output class="slider_max_val" id="qp3_max_value"> </output>
              </div>
              <div class="sliders">
                <input min="-2.89" max="2.89" value="0" step="0.01" class="slider" id="qp4_slider"        oninput="qp4_slider.value = qp4_value.value" type="range"> 
                <output class="slider_name" lang="latex" >\boldsymbol{\dot{q}_4} </output>
                <output class="slider_val" id="qp4_value"></output>
                <output class="slider_min_val" id="qp4_min_value"> </output>
                <output class="slider_max_val" id="qp4_max_value">  </output>
              </div>
              <div class="sliders">
                <input min="-0.01" max="3.75" value="0" step="0.01" class="slider" id="qp5_slider"        oninput="qp5_slider.value = qp5_value.value" type="range"> 
                <output class="slider_name" lang="latex" >\boldsymbol{\dot{q}_5} </output>
                <output class="slider_val" id="qp5_value"></output>
                <output class="slider_min_val" id="qp5_min_value"></output>
                <output class="slider_max_val" id="qp5_max_value"> </output>
              </div>
              <div class="sliders">
                <input min="-2.89" max="2.89" value="0" step="0.01" class="slider" id="qp6_slider"        oninput="qp6_slider.value = qp6_value.value" type="range"> 
                <output class="slider_name" lang="latex" >\boldsymbol{\dot{q}_6} </output>
                <output class="slider_val" id="qp6_value"></output>
                <output class="slider_min_val" id="qp6_min_value"></output>
                <output class="slider_max_val" id="qp6_max_value"> </output>
              </div>
            </div>
            <div class="Bounds_Constraints">
              <output class="bound" id="bound0" lang="latex"> \boldsymbol{\dot{q}_0} </output>
              </output><output class="bound" id="bound1" lang="latex"> \boldsymbol{\dot{q}_1} </output>
              </output><output class="bound" id="bound2" lang="latex"> \boldsymbol{\dot{q}_2} </output>
              </output><output class="bound" id="bound3"  lang="latex"> \boldsymbol{\dot{q}_3} </output>
              </output><output class="bound" id="bound4"  lang="latex"> \boldsymbol{\dot{q}_4} </output>
              </output><output class="bound" id="bound5"  lang="latex"> \boldsymbol{\dot{q}_5} </output>
              </output><output class="bound" id="bound6"  lang="latex"> \boldsymbol{\dot{q}_6} </output>
              <br>
              </output><output class="constraint" id="constraint6"  lang="latex"> constraint_0 </output>
              </output><output class="constraint" id="constraint0"  lang="latex"> constraint_1 </output>
              </output><output class="constraint" id="constraint1"  lang="latex"> constraint_2 </output>
              </output><output class="constraint" id="constraint2"  lang="latex"> constraint_3 </output>
              </output><output class="constraint" id="constraint3"  lang="latex"> constraint_4 </output>
              </output><output class="constraint" id="constraint4"  lang="latex"> constraint_5 </output>
              </output><output class="constraint" id="constraint5"  lang="latex"> constraint_6 </output>
            </div>
          <br>
          </div>
        </div>
      <div class="gainTunning">
        <button type="button" class="collapsible">Gain Tunning</button>
        <div class="content" > 
          <br>
          <input style="width:200px" id="tune_gain_button_" onclick="tuneGain()" class="button" value="Tune Gains" type="button">
          <input style="width:200px" id="send_signal_button_" onclick="moveSignal()" class="button" value="Send signal" type="button">
            <form onchange="changeAxis()" id="AxisForm">
            <label class="radio-inline"> <input type="radio" name="AxisForm" value="Trans_x" checked> Trans x</label>
            <label class="radio-inline"><input type="radio" name="AxisForm" value="Trans_y">  Trans y</label>
            <label class="radio-inline"><input type="radio" name="AxisForm" value="Trans_z">  Trans z</label> <br>
            <label class="radio-inline"><input type="radio" name="AxisForm" value="Ori_x">  Ori x</label>
            <label class="radio-inline"><input type="radio" name="AxisForm" value="Ori_y">  Ori y</label>
            <label class="radio-inline"><input type="radio" name="AxisForm" value="Ori_z">  Ori z</label>
          </form>
          <input id="stepAmplitude" min="0" max="1" step="0.001" value="0.01"  size="1" onchange="stepAmplitude(event);" type="number"> 
          <div class="gains" > 
            <output lang="latex" >p_{gains} : </output> <br>
            <input id="ptx" min="0" max="10000" step="1" value="6"  size="1" onchange="changeptx(event);" type="number"> 
            <input id="pty" min="0" max="10000" step="1" value="6" size="1" onchange="changepty(event);" type="number">
            <input id="ptz" min="0" max="10000" step="1" value="6" size="1" onchange="changeptz(event);" type="number"> 
            <input id="prx" min="0" max="10000" step="1" value="6" size="1" onchange="changeprx(event);" type="number"> 
            <input id="pry" min="0" max="10000" step="1" value="6" size="1" onchange="changepry(event);" type="number"> 
            <input id="prz" min="0" max="10000" step="1" value="6" size="1" onchange="changeprz(event);" type="number">
          </div>
          <div class="gains">
            <output lang="latex" >d_{gains} : </output> <br>
            <input id="dtx" min="0" max="10000" step="1" value="6" size="1" onchange="changedtx(event);" type="number"> 
            <input id="dty" min="0" max="10000" step="1" value="6" size="1" onchange="changedty(event);" type="number">
            <input id="dtz" min="0" max="10000" step="1" value="6" size="1" onchange="changedtz(event);" type="number"> 
            <input id="drx" min="0" max="10000" step="1" value="6" size="1" onchange="changedrx(event);" type="number"> 
            <input id="dry" min="0" max="10000" step="1" value="6" size="1" onchange="changedry(event);" type="number"> 
            <input id="drz" min="0" max="10000" step="1" value="6" size="1" onchange="changedrz(event);" type="number"> 
          </div>
        </div>
      </div>
      <div class="emergencyStop">
          <button type="button" class="emergencyStop" ><img src="images/emergency_stop.jpg" width="150" height="150" onclick="emergencyStop()""> </button>  
        </div>
 



  <script>
  window.setInterval(watchdog, 1000);
  window.scrollTo(0,1);
  </script>

  <script>
    var coll = document.getElementsByClassName("collapsible");
    var i;

    for (i = 0; i < coll.length; i++) {
      coll[i].addEventListener("click", function() {
        this.classList.toggle("active");
        var content = this.nextElementSibling;
        if (content.style.display === "block") {
          content.style.display = "none";
        } else {
          content.style.display = "block";
        }
      });
    } 
  </script>
    

  </body>
</html>
